### File

`packages/eui/packages/components-next/src/lib/components/eui-dropdown-button-menu/eui-dropdown-button-menu.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dropdown-button-menu`
templateUrl | `./eui-dropdown-button-menu.component.html`

### Index

###### Properties

- buttonTrigger

###### Methods

- focusButtonTrigger
- onClick
- onKeyDown

###### Inputs

- menuItems

###### Outputs

- clicked

### Constructor

`constructor()`

### Inputs

menuItems
Type : `EuiMenuItem[]`

### Outputs

clicked
Type : `EventEmitter`

### Methods

focusButtonTrigger
`focusButtonTrigger()`
Returns : `void`

onClick
`onClick(event: any, item: EuiMenuItem)`

Parameters :

Name | Type | Optional
event | `any` | No
item | `EuiMenuItem` | No

Returns : `void`

onKeyDown
`onKeyDown(event: KeyboardEvent)`

Parameters :

Name | Type | Optional
event | `KeyboardEvent` | No

Returns : `void`

### Properties

buttonTrigger
Type : `ElementRef`
Decorators : `@ContentChild(EuiButtonComponent, {read: ElementRef})`

# result-matching ""

# No results matching ""